function embed_mp4(link_info) {
	if (typeof link_info.extension !== "string") {
		return;
	}

	const is_mp4 = get_mime_types(link_info.extension).includes("video/mp4");

	if (!is_mp4) {
		return;
	}

	return `<div class="embed-container image gif letterbox"><video autoplay="true" muted="true" loop="true" playsinline="true"><source src="${link_info.url}" type="video/mp4"><a href="${link_info.url}">${link_info.url}</a></video></div>`;
}
